For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTExecute Workflow
      • POSTExecute Workflow Async
      • STREAMExecute Workflow as Stream
      • GETCheck Workflow Execution Status
      • POSTSubmit Workflow Execution Actuals
        • GETRetrieve Workflow Execution Detail
        • POSTCreate Monitoring Event
LogoLogo
BlogLog InRequest Demo
Client SDKWorkflowsWorkflow Executions

Retrieve Workflow Execution Detail

Beta
GET
https://api.vellum.ai/v1/workflow-executions/:execution_id/detail
GET
/v1/workflow-executions/:execution_id/detail
1import requests
2
3url = "https://api.vellum.ai/v1/workflow-executions/execution_id/detail"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "span_id": "string",
3 "parent_context": {
4 "parent": {},
5 "links": [
6 {
7 "trace_id": "string",
8 "type": "TRIGGERED_BY"
9 }
10 ],
11 "workflow_definition": {
12 "name": "string",
13 "module": [
14 "string"
15 ],
16 "exclude_from_monitoring": true,
17 "id": "string"
18 },
19 "type": "WORKFLOW",
20 "span_id": "string"
21 },
22 "start": "2024-01-15T09:30:00Z",
23 "end": "2024-01-15T09:30:00Z",
24 "inputs": [
25 {
26 "id": "string",
27 "name": "string",
28 "type": "STRING",
29 "value": "string"
30 }
31 ],
32 "outputs": [
33 {
34 "id": "string",
35 "name": "string",
36 "type": "STRING",
37 "value": "string"
38 }
39 ],
40 "error": {
41 "message": "string",
42 "raw_data": {},
43 "code": "WORKFLOW_INITIALIZATION",
44 "stacktrace": "string"
45 },
46 "usage_results": [
47 {
48 "usage": [
49 {
50 "ml_model_name": "string",
51 "ml_model_usage": {
52 "output_token_count": 1,
53 "input_token_count": 1,
54 "input_char_count": 1,
55 "output_char_count": 1,
56 "compute_nanos": 1,
57 "cache_creation_input_tokens": 1,
58 "cache_read_input_tokens": 1
59 }
60 }
61 ],
62 "cost": [
63 {
64 "value": 1.1,
65 "unit": "USD"
66 }
67 ],
68 "error": {
69 "code": "UNKNOWN",
70 "message": "string"
71 }
72 }
73 ],
74 "spans": [
75 {
76 "name": "workflow.execution",
77 "events": [
78 {
79 "parent": {
80 "parent": {},
81 "links": [
82 {
83 "trace_id": "string",
84 "type": "TRIGGERED_BY"
85 }
86 ],
87 "workflow_definition": {
88 "name": "string",
89 "module": [
90 "string"
91 ],
92 "exclude_from_monitoring": true,
93 "id": "string"
94 },
95 "type": "WORKFLOW",
96 "span_id": "string"
97 },
98 "links": [
99 {
100 "trace_id": "string",
101 "type": "TRIGGERED_BY",
102 "span_context": {
103 "parent": {},
104 "links": [
105 null
106 ],
107 "workflow_definition": {
108 "name": "string",
109 "module": [
110 "string"
111 ],
112 "exclude_from_monitoring": true,
113 "id": "string"
114 },
115 "type": "WORKFLOW",
116 "span_id": "string"
117 }
118 }
119 ],
120 "name": "workflow.execution.initiated",
121 "body": {
122 "workflow_definition": {
123 "name": "string",
124 "module": [
125 "string"
126 ],
127 "exclude_from_monitoring": true,
128 "id": "string"
129 },
130 "inputs": {},
131 "trigger": {
132 "name": "string",
133 "module": [
134 "string"
135 ],
136 "exclude_from_monitoring": true,
137 "id": "string"
138 }
139 },
140 "id": "string",
141 "timestamp": "2024-01-15T09:30:00Z",
142 "api_version": "2024-10-25",
143 "trace_id": "string",
144 "span_id": "string"
145 }
146 ],
147 "attributes": {
148 "label": "string",
149 "workflow_id": "string"
150 },
151 "usage_result": {
152 "usage": [
153 {
154 "ml_model_name": "string",
155 "ml_model_usage": {
156 "output_token_count": 1,
157 "input_token_count": 1,
158 "input_char_count": 1,
159 "output_char_count": 1,
160 "compute_nanos": 1,
161 "cache_creation_input_tokens": 1,
162 "cache_read_input_tokens": 1
163 }
164 }
165 ],
166 "cost": [
167 {
168 "value": 1.1,
169 "unit": "USD"
170 }
171 ]
172 },
173 "span_id": "string",
174 "start_ts": "2024-01-15T09:30:00Z",
175 "end_ts": "2024-01-15T09:30:00Z",
176 "parent_span_id": "string"
177 }
178 ],
179 "state": {}
180}
Was this page helpful?
Previous

Create Monitoring Event

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

execution_idstringRequiredformat: "uuid"

Headers

X-API-VersionstringOptional

Query parameters

prev_span_idstringOptionalformat: "uuid"

Optional keyset cursor span_id to continue from (exclusive)

span_limitintegerOptional

Maximum number of spans to return (for lazy loading)

Response

span_idstringformat: "uuid"
parent_contextobject or null
startstringformat: "date-time"
endstring or nullformat: "date-time"
inputslist of objects
outputslist of objects
errorobject or null
usage_resultslist of objects or null
spanslist of objects
statemap from strings to any or null

Errors

404
Not Found Error
421
Misdirected Request Error